import { z } from 'zod';
const customScalarSymbol = Symbol('custom-scalar');
export function isCustomScalarSchema(schema) {
    return Object.hasOwn(schema, customScalarSymbol);
}
export function createCustomScalarSchema(schema) {
    const wrappedSchema = z.lazy(() => {
        return schema;
    });
    wrappedSchema[customScalarSymbol] = true;
    return wrappedSchema;
}
//# sourceMappingURL=custom-scalar.js.map